Subject: Re: [magma] When IGMPv3 router in EXCLUDE(X,Y) state

From: ravikumar vj <[email-masked]>
Date: Wed, 12 Mar 2008 22:53:06 -0700 (PDT)

Hi, 
       What is the need of sending 2 queries? Send Q(G,X-A) and Send Q(G).
  Instead, cant we update the timer for (X-A) to LMQT and just send a group specific query alone?
   
  Regards
  Ravikumar V J

[email-masked] wrote:
  Send magma mailing list submissions to
[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
https://www.ietf.org/mailman/listinfo/magma
or, via email, send a message with subject or body 'help' to
[email-masked]

You can reach the person managing the list at
[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of magma digest..."

Today's Topics:

1. When IGMPv3 router in EXCLUDE(X, Y) state receives TO_IN(A)
(Rohan Sen)
2. Re: When IGMPv3 router in EXCLUDE(X, Y) state receives
TO_IN(A) (Mark Fine)

----------------------------------------------------------------------

Message: 1
Date: Wed, 12 Mar 2008 15:16:45 +0530
From: "Rohan Sen" 
Subject: [magma] When IGMPv3 router in EXCLUDE(X, Y) state receives
TO_IN(A)
To: [email-masked]
Message-ID:
<[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Hi,

RFC 3376 Section 6.4.2 change state record handling router state machine
last line mentions about sending a group specific query in addition to the
source specific query.
I am not very sure if I am able to understand the necessity of this group
specific query. Usually a TO_IN(A) message is received from a host that
underwent a state change from EXCLUDE(A) to INCLUDE(A) which means the
router already had a state of EXCLUDE(X,Y) where A is a subset of Y. The
router then tries to find out if there is any host which still has interest
in receiving traffic for the sources already having source timer > 0. I do
not understand what is the use of sending a group specific query in this
case since the group specific query has a wider scoped purpose than the
source specific query.

Could it be that since for other cases no query is sent if sources to be
queried is NULL set, for this case only (since TO_IN(NULL) is the IGMPv3
translation for IGMPv2 Leave when older version host for that group is
present) a group specific query has to be sent regardless of whether the to
be queried source set is NULL or not.

Any help on these lines would be highly appreciated.

-- 
thanks,
Rohan Sen
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.ietf.org/pipermail/magma/attachments/20080312/39d7ef63/attachment.htm 

------------------------------

Message: 2
Date: Wed, 12 Mar 2008 11:03:48 -0700
From: Mark Fine 
Subject: Re: [magma] When IGMPv3 router in EXCLUDE(X, Y) state
receives TO_IN(A)
To: "Rohan Sen" 
Cc: [email-masked]
Message-ID: 
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes

The Group-Specific query is to find out if there are any hosts which 
still have EXCLUDE state -- the Group-Specific query will lower the 
router's Group Timer to LMQT, and if no hosts respond with IS_EX 
Current-State records, the Group Record will switch to INCLUDE filter- 
mode if there are still Source Records with timers running.

On Mar 12, 2008, at 2:46 AM, Rohan Sen wrote:

> Hi,
>
> RFC 3376 Section 6.4.2 change state record handling router state 
> machine last line mentions about sending a group specific query in 
> addition to the source specific query.
> I am not very sure if I am able to understand the necessity of this 
> group specific query. Usually a TO_IN(A) message is received from a 
> host that underwent a state change from EXCLUDE(A) to INCLUDE(A) 
> which means the router already had a state of EXCLUDE(X,Y) where A 
> is a subset of Y. The router then tries to find out if there is any 
> host which still has interest in receiving traffic for the sources 
> already having source timer > 0. I do not understand what is the use 
> of sending a group specific query in this case since the group 
> specific query has a wider scoped purpose than the source specific 
> query.
>
> Could it be that since for other cases no query is sent if sources 
> to be queried is NULL set, for this case only (since TO_IN(NULL) is 
> the IGMPv3 translation for IGMPv2 Leave when older version host for 
> that group is present) a group specific query has to be sent 
> regardless of whether the to be queried source set is NULL or not.
>
> Any help on these lines would be highly appreciated.
>
> -- 
> thanks,
> Rohan Sen _______________________________________________
> magma mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/magma

------------------------------

_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma

End of magma Digest, Vol 44, Issue 7
************************************

---------------------------------
Looking for last minute shopping deals?  Find them fast with Yahoo! Search.

_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma

---

From: Mark Fine <[email-masked]>
Date: Wed, 12 Mar 2008 23:58:01 -0700

There's a single elected querier per subnet, with non-elected routers  
ceasing to send queries. The notation Q(G) and Q(G,A) therefore  
describes Group-Specific and Group-and-Source-Specific queries (a)  
sent by the single elected querier OR (b) received by non-elected  
routers. The non-elected routers need both Group-Specific and Group- 
and-Source-Specific queries to update both their Source timers and  
their Group timer, respectively. See 6.6.1.

Rather, the protocol for Group Members handles merging pending  
responses to Group-Specific and Group-and-Source-Specific queries. See  
5.2.

On Mar 12, 2008, at 10:53 PM, ravikumar vj wrote:

> machine
> group
> to be
> Looking for last minute shopping deals? Find them fast with Yahoo!  
> Search._______________________________________________
> magma mailing list
> [email-masked]

---

From: ravikumar vj <[email-masked]>
Date: Thu, 13 Mar 2008 20:08:14 -0700 (PDT)

Hello,
        Thanks for the reply.
        Actually I asked this specific question in relation to the question asked by Rohan Sen.
   
        EXCLUDE (X,Y)  TO_IN (A)    EXCLUDE (X+A,Y-A)       (A)=GMI
                                                                                      Send Q(G,X-A)
                                                                                      Send Q(G)
   
        If I am implementing this rule, can't I update it as,
   
        EXCLUDE (X,Y)  TO_IN (A)    EXCLUDE (X+A,Y-A)       (A)=GMI
                                                                                      (X-A) = LMQT
                                                                                      Send Q(G)

      Thanks and Regards
        Ravikumar V J
  
Mark Fine <[email-masked]> wrote:

---

From: "Ashish Yadav" <[email-masked]>
Date: Fri, 14 Mar 2008 18:24:16 +0530

Hi,

Whenever, you receive a Group query. Would you not lower down the timers
for all the sources for that particular group?

Otherwise, what are the generic criteria that you will maintain for
choosing which timers to lower?

For picking up on specific sources and lower their timers, you can use
Group and Source specific query and hence lower specific timers as per
your solution, which is being recommended in the RFC.

Regards,

Ashish

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf
Of ravikumar vj
Sent: Friday, March 14, 2008 8:38 AM
To: Mark Fine
Cc: [email-masked]
Subject: Re: [magma] When IGMPv3 router in EXCLUDE(X,Y) state

Hello,

      Thanks for the reply.

      Actually I asked this specific question in relation to the
question asked by Rohan Sen.

Send Q(G,X-A)
 
Send Q(G)

 
(X-A) = LMQT
 
Send Q(G)

      Thanks and Regards

      Ravikumar V J

	There's a single elected querier per subnet, with non-elected
routers 
	ceasing to send queries. The notation Q(G) and Q(G,A) therefore 
	describes Group-Specific and Group-and-Source-Specific queries
(a) 
	sent by the single elected querier OR (b) received by
non-elected 
	routers. The non-elected routers need both Group-Specific and
Group- 
	and-Source-Specific queries to update both their Source timers
and 
	their Group timer, respectively. See 6.6.1.
	
	Rather, the protocol for Group Members handles merging pending 
	responses to Group-Specific and Group-and-Source-Specific
queries. See 
	5.2.
	
	On Mar 12, 2008, at 10:53 PM, ravikumar vj wrote:
	
	> Instead, cant we update the timer for (X-A) to LMQT and just
send a 
	> group specific query alone?
	>
	> Regards
	> Ravikumar V J
	>
	>
	> last line mentions about sending a group specific query in
addition 
	> to the
	> specific query. Usually a TO_IN(A) message is received from a
host 
	> that
	> router already had a state of EXCLUDE(X,Y) where A is a subset
of Y. 
	> The
	> router then tries to find out if there is any host which still
has 
	> interest
	> in receiving traffic for the sources already having source
timer > 
	> 0. I do
	> not understand what is the use of sending a group specific
query in 
	> this
	> case since the group specific query has a wider scoped purpose
than 
	> the
	> queried is NULL set, for this case only (since TO_IN(NULL) is
the 
	> IGMPv3
	> present) a group specific query has to be sent regardless of
whether 
	> the to
	> URL:
http://www.ietf.org/pipermail/magma/attachments/20080312/39d7ef63/attach
ment.htm

________________________________

Looking for last minute shopping deals? Find them fast with Yahoo!
Search.
<http://us.rd.yahoo.com/evt=51734/*http:/tools.search.yahoo.com/newsearc
h/category.php?category=shopping> 

Conexant E-mail Firewall (Conexant.Com) made the following annotations
---------------------------------------------------------------------
********************** Legal Disclaimer **************************** 

"This email may contain confidential and privileged material for the sole use of the intended recipient. Any unauthorized review, use or distribution by others is strictly prohibited. If you have received the message in error, please advise the sender by reply email and delete the message. Thank you." 

********************************************************************** 

---------------------------------------------------------------------

---

From: ravikumar vj <[email-masked]>
Date: Sun, 16 Mar 2008 08:18:52 -0700 (PDT)

Hi, 
      Sorry for the confusion. I am talking about router and not host. 
  My question is, if my current state is EXCLUDE (X, Y) and if I receive a TO_IN (A), the RFC specifies sending of two queries. One Q(G, X-A) and two Q(G). So my question was that, instead of sending two queries as specified, cant I send a single Q(G), and set the timers for sources (X-A) as LMQT?
   
  Regards
  Ravi

Ashish Yadav <[email-masked]> wrote:
        v\:* {behavior:url(#default#VML);}  o\:* {behavior:url(#default#VML);}  w\:* {behavior:url(#default#VML);}  .shape {behavior:url(#default#VML);}                Hi,
   
  Whenever, you receive a Group query. Would you not lower down the timers for all the sources for that particular group?
  Otherwise, what are the generic criteria that you will maintain for choosing which timers to lower?
  For picking up on specific sources and lower their timers, you can use Group and Source specific query and hence lower specific timers as per your solution, which is being recommended in the RFC.
   
    Regards,
  Ashish

  From: [email-masked] [mailto:[email-masked]] On Behalf Of ravikumar vj
Sent: Friday, March 14, 2008 8:38 AM
To: Mark Fine
Cc: [email-masked]
Subject: Re: [magma] When IGMPv3 router in EXCLUDE(X,Y) state

    Hello,

          Thanks for the reply.

      Thanks and Regards

          Ravikumar V J

---

From: "Suvendu Mozumdar" <[email-masked]>
Date: Mon, 24 Mar 2008 01:55:29 -0700

Hi

   I have this following doubt for which RFC 3376 has no clear
directive. In a LAN there is a v3 querier and three hosts each of
version 1, 2 and 3 respectively. What should be the version of the
general queries sent by the querier, will it send v1 queries, v2 queries
or v3 queries?? Logically thinking it should send queries with the
lowest version present in the LAN. Please advise.

Regards,

Suvendu.

---

From: "Ashish Yadav" <[email-masked]>
Date: Mon, 24 Mar 2008 15:00:07 +0530

Hi,

The querier should send version 1 queries, as mentioned in the section
7.3.2 of RFC 3376.

"IGMPv3 routers may be placed on a network where there are hosts that
   have not yet been upgraded to IGMPv3.  In order to be compatible with
   older version hosts, IGMPv3 routers MUST operate in version 1 and
   version 2 compatibility modes. 
   IGMPv3 routers keep a compatibility mode per group record.  
   A group's compatibility mode is determined
   from the Group Compatibility Mode variable which can be in one of
   three states:  IGMPv1, IGMPv2 or IGMPv3.  This variable is kept per
   group record and is dependent on the version of Membership Reports
   heard for that group as well as the Older Version Host Present timer
   for the group.

"

Regards,

Ashish

========================================================================
=========================

Don't complain about others; Change yourself if you want peace. It is
easier to protect your feet with slippers than to cover the entire earth
with carpet. 

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Suvendu Mozumdar
Sent: Monday, March 24, 2008 2:25 PM
To: [email-masked]
Cc: Rhitwick Mookherjee
Subject: [magma] Version of General Query sent by a V3 Querier in
thepresence of lower version hosts

Hi

Regards,

Suvendu.

---

From: "Suvendu Mozumdar" <[email-masked]>
Date: Mon, 24 Mar 2008 03:50:15 -0700

Thanks for the reply Ashish, but the section talks about the group
compatibility mode, but does not say anything regarding what should be
the version of the general queries sent. The compatibility mode is kept
per group, but what should be the compatibility mode of the general
queries which is not related to any particular group, this is not
mentioned clearly.

Regards,

Suvendu.

From: Ashish Yadav [mailto:[email-masked]] 
Sent: Monday, March 24, 2008 3:00 PM
To: Suvendu Mozumdar; [email-masked]
Cc: Rhitwick Mookherjee
Subject: RE: [magma] Version of General Query sent by a V3 Querier in
thepresence of lower version hosts

Hi,

"

Regards,

Ashish

Hi

Regards,

Suvendu.

"This email may contain confidential and privileged material for the
sole use of the intended recipient. Any unauthorized review, use or
distribution by others is strictly prohibited. If you have received the
message in error, please advise the sender by reply email and delete the
message. Thank you."

---

From: Brian Haberman <[email-masked]>
Date: Mon, 24 Mar 2008 08:09:04 -0400

Suvendu,
      An IGMPv3 router can still send IGMPv3 formatted General Query 
messages.  The extended size Query should be handled by older IGMP hosts 
since they will only parse as much of the message as they recognize. 
Please take a look at section 2.5 of RFC 2236 (IGMPv2) for the exact 
text description of forward compatibility in IGMP.

Regards,
Brian

Suvendu Mozumdar wrote:
> ------------------------------------------------------------------------
> 
> *From:* Ashish Yadav [mailto:[email-masked]]
> *Sent:* Monday, March 24, 2008 3:00 PM
> *To:* Suvendu Mozumdar; [email-masked]
> *Cc:* Rhitwick Mookherjee
> *Subject:* RE: [magma] Version of General Query sent by a V3 Querier in 
> “IGMPv3 routers may be placed on a network where there are hosts that
> 
> ”
> =================================================================================================
> 
> ------------------------------------------------------------------------
> 
> *From:* [email-masked] [mailto:[email-masked]] *On 
> Behalf Of *Suvendu Mozumdar
> *Sent:* Monday, March 24, 2008 2:25 PM
> *To:* [email-masked]
> *Cc:* Rhitwick Mookherjee
> *Subject:* [magma] Version of General Query sent by a V3 Querier in 
> ------------------------------------------------------------------------
>